# Class LinkSharedLibrary

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.nativeplatform.tasks.AbstractLinkTask
org.gradle.nativeplatform.tasks.LinkSharedLibrary

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, ObjectFilesToBinary, org.gradle.util.Configurable<Task>`

@Incubating public class LinkSharedLibrary extends AbstractLinkTask
Links a binary shared library from object files and imported libraries.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`LinkSharedLibrary()`

## Method Summary

Modifier and Type
Method
Description
`protected org.gradle.nativeplatform.internal.LinkerSpec`
`createLinkerSpec()`
`RegularFileProperty`
`getImportLibrary()`
Returns the import library produced by this task.
`String`
`getInstallName()`
`void`
`setInstallName(String installName)`

### Methods inherited from class AbstractLinkTask

`getBinaryFile, getDestinationDir, getLibs, getLinkerArgs, getOperationLoggerFactory, getOutputFile, getSource, getTargetPlatform, getToolChain, isDebuggable, lib, link, setDebuggable, setLibs, setOutputFile, setOutputFile, setSource, setTargetPlatform, setToolChain, source`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Comparable

`compareTo`

### Methods inherited from interface ExtensionAware

`getExtensions`

### Methods inherited from interface Task

`configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getFinalizedBy, getGroup, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getPath, getProject, getShouldRunAfter, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter`

## Constructor Details

### LinkSharedLibrary

public LinkSharedLibrary()

## Method Details

### getImportLibrary

@Optional @OutputFile public RegularFileProperty getImportLibrary()
Returns the import library produced by this task. Defaults to the directory containing the runtime file and is not defined when no import library will be produced.

Since:
  4.4

### getInstallName

@Input @Optional public String getInstallName()

### setInstallName

public void setInstallName(String installName)

### createLinkerSpec

protected org.gradle.nativeplatform.internal.LinkerSpec createLinkerSpec()

Specified by:
  `createLinkerSpec` in class `AbstractLinkTask`